CREATE TABLE ask_xml_rows (
    XML_ROW_ID               NUMBER(18, 0),
    XML_NODE_PATH_ID         NUMBER(18, 0)    NOT NULL,
    XML_BATCH_NUM            NUMBER(9, 0) ,
    ROW_NUM                  NUMBER(18, 0)    NOT NULL,
    PARENT_ROW_ID            NUMBER(18, 0),
    MATCH_ROW_SEQUENCE       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    EXCLUDE_FLAG             VARCHAR2(4)  ,
    XML_ROW_ID               NUMBER(18, 0),
    XML_NODE_PATH_ID         NUMBER(18, 0)    NOT NULL,
    XML_BATCH_NUM            NUMBER(9, 0) ,
    ROW_NUM                  NUMBER(18, 0)    NOT NULL,
    PARENT_ROW_ID            NUMBER(18, 0),
    MATCH_ROW_SEQUENCE       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    EXCLUDE_FLAG             VARCHAR2(4)  ,
    CONSTRAINT pk_ask_xml_rows PRIMARY KEY (XML_ROW_ID, XML_ROW_ID)
);
